Skip to main content
GET
/
admin
/
api
/
v1
/
cache
/
overview
Get cached-only usage overview
curl --request GET \
  --url https://gomodel.example.com/admin/api/v1/cache/overview \
  --header 'Authorization: <api-key>'
{
  "daily": [
    {
      "date": "<string>",
      "exact_hits": 123,
      "hits": 123,
      "input_tokens": 123,
      "output_tokens": 123,
      "saved_cost": 123,
      "semantic_hits": 123,
      "total_tokens": 123
    }
  ],
  "summary": {
    "exact_hits": 123,
    "semantic_hits": 123,
    "total_hits": 123,
    "total_input_tokens": 123,
    "total_output_tokens": 123,
    "total_saved_cost": 123,
    "total_tokens": 123
  }
}

Authorizations

Authorization
string
header
required

Query Parameters

days
integer

Number of days (default 30)

start_date
string

Start date (YYYY-MM-DD)

end_date
string

End date (YYYY-MM-DD)

interval
string

Grouping interval: daily, weekly, monthly, yearly (default daily)

user_path
string

Filter by tracked user path subtree

cache_mode
string

Cache mode filter: uncached, cached, all (cache overview always uses cached mode)

Response

OK

daily
object[]
summary
object